
From: Chris Heath <chris@heathens.co.nz>

Here's a patch which fixes this warning:

drivers/char/ftape/lowlevel/fdc-io.c: In function `ftape_interrupt':
drivers/char/ftape/lowlevel/fdc-io.c:1299: warning: unused variable `_tracing'



 drivers/char/ftape/lowlevel/fdc-io.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/ftape/lowlevel/fdc-io.c~ftape-warning-fix drivers/char/ftape/lowlevel/fdc-io.c
--- 25/drivers/char/ftape/lowlevel/fdc-io.c~ftape-warning-fix	2003-08-22 22:03:11.000000000 -0700
+++ 25-akpm/drivers/char/ftape/lowlevel/fdc-io.c	2003-08-22 22:03:11.000000000 -0700
@@ -1305,7 +1305,7 @@ static irqreturn_t ftape_interrupt(int i
 	} else {
 		TRACE(ft_t_bug, "Unexpected ftape interrupt");
 	}
-	return IRQ_RETVAL(handled);
+	TRACE_EXIT IRQ_RETVAL(handled);
 }
 
 int fdc_grab_irq_and_dma(void)

_
